List target executions

View as Markdown
  • GET
  • /workspaces
  • /:workspace
  • /targets
  • /:target_id
  • /execs

List recent executions for the target (most recent first).

Request

REQUIRED SCOPES
TARGET_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

target_idrequiredstring
Target unique identifier (hash ID)

Example: "tgt-1234567890abcdef"

GET PARAMETERS
limitinteger
Maximum number of executions to return (most recent first). Default: 50, max: 200.

Example: 50

Response

RESPONSE BODY
ExecView[]requiredExecView[]

Last modified on Aug 13, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/targets/:target_id/execs" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
[ { "url": "https://api.buddy.works/workspaces/my-workspace/targets/execs/9214386e-7633-4d2b-ac66-fcfbaf5ea99b", "log_url": "https://api.buddy.works/workspaces/my-workspace/targets/execs/9214386e-7633-4d2b-ac66-fcfbaf5ea99b/log", "execution_id": "9214386e-7633-4d2b-ac66-fcfbaf5ea99b", "target_id": "tg-b185vd3ct4chv", "target_type": "MYSQL", "invoker": { "url": "https://api.buddy.works/workspaces/my-workspace/members/1", "id": 1, "name": "John Doe" }, "command": "mysql sql=SELECT 1 AS ok, NOW() AS ts", "started_at": "2026-05-28T08:00:09.820Z", "finished_at": "2026-05-28T08:00:10.412Z", "status": "SUCCESSFUL", "exit_code": 0 }, { "url": "https://api.buddy.works/workspaces/my-workspace/targets/execs/7a1e3b9c-2d4f-4e8a-9c5b-1f6d7e2a4b3c", "log_url": "https://api.buddy.works/workspaces/my-workspace/targets/execs/7a1e3b9c-2d4f-4e8a-9c5b-1f6d7e2a4b3c/log", "execution_id": "7a1e3b9c-2d4f-4e8a-9c5b-1f6d7e2a4b3c", "target_id": "tg-b185vd3ct4chv", "target_type": "MYSQL", "invoker": { "url": "https://api.buddy.works/workspaces/my-workspace/members/1", "id": 1, "name": "John Doe" }, "command": "mysql sql=SHOW TABLES", "started_at": "2026-05-28T07:55:12.103Z", "finished_at": "2026-05-28T07:55:12.711Z", "status": "SUCCESSFUL", "exit_code": 0 } ]
STATUS
200 OK